#pragma once
#include "Entity.h"
#define CS_PUUBUBBLE_EMPTY_CREATENAME L"CS_puububble_empty"
//PuuµÄÅÝÅÝ£¨¿Õ£©
class CS_PuuBubble_Empty :
    public Entity
{
public:
    CS_PuuBubble_Empty();
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int existTime = 480;
};

std::shared_ptr<Entity> CreateCS_PuuBubble_Empty();
std::weak_ptr<Entity> SetCS_PuuBubble_Empty(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);